Bug 116558 - Makedev cannot create zfcp/scsi devices in /dev/
Makedev cannot create zfcp/scsi devices in /dev/
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: MAKEDEV (Show other bugs)
s390 Linux
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-02-23 04:09 EST by Oliver Paukstadt
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-10 17:50:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oliver Paukstadt 2004-02-23 04:09:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20040107

Description of problem:
S/390 and zSeries have a special /etc/makedev.d/ without the common
linux-2.4.x macros.

The newest Kernels support zfcp scsi support but it is not possible to
use MAKEDEV to create the device nodes in /dev.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cd /dev
2. ./MAKEDEV sd
3. ls -lrt

Actual Results:  Nothing happens because there are no macros for sd
devices in the s390 MAKEDEV package

Expected Results:  zfcp/scsi needs the scsi device nodes to work with it.

Additional info:

I copied the /etc/makedev.d/linux-2.4.x from the i386 Package of EL3
and was able to create the device nodes.
Comment 1 Phil Knirsch 2004-02-23 09:16:54 EST
Known problem, RHEL3 U2 will have a fixed version of the MAKEDEV
package that creates all the scsi devices.

Setting to modified until errata is released.

Read ya, Phil
Comment 2 Phil Knirsch 2004-03-05 10:27:24 EST
Test packages can be found here:


Read ya, Phil
Comment 3 Mario Held 2004-04-19 11:32:52 EDT
Tested the MAKEDEV-3.3.12-1.s390x.rpm and dev-3.3.12-1.s390x.rpm with 
RHEL 3 UPD1 on a z990 in LPAR. It worked as expected, the sd devices 
were defined after './MAKEDEV sd'.
Comment 7 Brock Organ 2004-08-10 17:50:12 EDT
This issue is resolved in RHEL3 U2 ...

Note You need to log in before you can comment on or make changes to this bug.